The "Get Order by ID" API allows to retrieve information for a specific order using its unique identifier. Use this endpoint to fetch details for a single order based on the provided order ID.

http
GET https://services.leadconnectorhq.com/payments/orders/{orderId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
orderIdstringYes653f5e0cde5a1314e62a837cID of the order that needs to be returned

Query parameters

NameTypeRequiredExampleDescription
locationIdstringNo3SwdhCu3svxI8AKsPJt6LocationId is the id of the account.
altIdstringYes3SwdhCu3svxI8AKsPJt6AltId is the unique identifier e.g: account id.

Responses

200 - Successful response
  • _id (string, required): The unique identifier for the order. Example: 653f5e0cde5a1314e62a837c

  • altId (string, required): AltId is the unique identifier eg: account id. Example: 3SwdhCu3svxI8AKsPJt6

  • altType (string, required): AltType is the type of identifier. Example: account

  • contactId (string): Contact id corresponding to the order. Example: XPLSw2SVagl12LMDeTmQ

  • currency (string): Currency in which order was created. Example: USD

  • amount (number): Order value. Example: 100

  • status (string, required): The status of the order (e.g., completed). Example: completed

  • liveMode (boolean): Order is in live / test mode. Example: false

  • createdAt (string, required): The creation timestamp of the order. Example: 2023-11-20T10:23:36.515Z

  • updatedAt (string, required): The last update timestamp of the order. Example: 2024-01-23T09:57:04.846Z

  • fulfillmentStatus (string): Fulfillment status of the order. Example: unfulfilled

  • contactSnapshot (object): Contact details of the order. Example: { last_name: "Mcclain", type: "lead", first_name_lower_case: "rogan", email: "anish+11@leadwaycrm.com", last_name_lower_case: "mcclain", location_id: "o6241QsiRwUIJHyjuhos", company_name: "Jordan and Cox Trading"}

  • amountSummary (object): Amount details of the order. Example: { subtotal: 100, discount: 5 }

  • source (object): Source details of the order. Example: { type: "invoice", id: "61dd48ff65b013bc39bb09c6" }

  • items (string[]): Item details of the order. Example: { _id: 61dd33e88058b9f967ca79dc, authorizeAmount: 0, locationId: "SBAWb4yu7A4LSc0skQ6g", name: "Sample Product": price: {}, product: { name: "Testing product", productType: "SERVICE" }}

  • coupon (object): Coupon details of the order. Example: { code: "FEST10", _id: "63455e48901b43d4ef364a20" }

  • trackingId (string): Tracking id of the order. Example: 63319ef9-de0a-4c84-aebd-3585fb4a0cdf

  • fingerprint (string): Fingerprint id of the order. Example: 5d51db5a-42b0-4b04-ba88-2c046c982a3a

  • meta (object): Meta details of the order. Example: { couponSessionExpired: true }

  • markAsTest (boolean): Is test order. Example: false

  • traceId (string): Trace id of the order. Example: d3b16a92-a8ed-4e6b-8467-844750f78ed5

  • automaticTaxesCalculated (boolean): Automatic taxes applied for the Order Example: True

  • taxCalculationProvider (object): Provider name for automatic tax calculation Example: taxjar

  • createdBy (string): User ID who created the order. Example: user123

json
{
  "_id": "653f5e0cde5a1314e62a837c",
  "altId": "3SwdhCu3svxI8AKsPJt6",
  "altType": "account",
  "contactId": "XPLSw2SVagl12LMDeTmQ",
  "currency": "USD",
  "amount": "100",
  "status": "completed",
  "liveMode": "false",
  "createdAt": "2023-11-20T10:23:36.515Z",
  "updatedAt": "2024-01-23T09:57:04.846Z",
  "fulfillmentStatus": "unfulfilled",
  "contactSnapshot": "{ last_name: \"Mcclain\", type: \"lead\", first_name_lower_case: \"rogan\", email: \"anish+11@leadwaycrm.com\", last_name_lower_case: \"mcclain\", location_id: \"o6241QsiRwUIJHyjuhos\", company_name: \"Jordan and Cox Trading\"}",
  "amountSummary": "{ subtotal: 100, discount: 5 }",
  "source": "{ type: \"invoice\", id: \"61dd48ff65b013bc39bb09c6\" }",
  "items": "{ _id: 61dd33e88058b9f967ca79dc, authorizeAmount: 0, locationId: \"SBAWb4yu7A4LSc0skQ6g\", name: \"Sample Product\": price: {}, product: { name: \"Testing product\", productType: \"SERVICE\" }}",
  "coupon": "{ code: \"FEST10\", _id: \"63455e48901b43d4ef364a20\" }",
  "trackingId": "63319ef9-de0a-4c84-aebd-3585fb4a0cdf",
  "fingerprint": "5d51db5a-42b0-4b04-ba88-2c046c982a3a",
  "meta": "{ couponSessionExpired: true }",
  "markAsTest": "false",
  "traceId": "d3b16a92-a8ed-4e6b-8467-844750f78ed5",
  "automaticTaxesCalculated": true,
  "taxCalculationProvider": "taxjar",
  "createdBy": "user123"
}
400 - Order not found
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/payments/orders/YOUR_orderId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?